package com.cpms.project.plant.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.cpms.project.plant.mapper.TMtAgendaMapper;
import com.cpms.project.plant.domain.TMtAgenda;
import com.cpms.project.plant.service.ITMtAgendaService;

/**
 * 装置会议议程Service业务层处理
 *
 * @author ruoyi
 * @date 2023-06-07
 */
@Service
public class TMtAgendaServiceImpl implements ITMtAgendaService
{
    @Autowired
    private TMtAgendaMapper tMtAgendaMapper;

    /**
     * 查询装置会议议程
     *
     * @param id 装置会议议程主键
     * @return 装置会议议程
     */
    @Override
    public TMtAgenda selectTMtAgendaById(Long id)
    {
        return tMtAgendaMapper.selectTMtAgendaById(id);
    }

    /**
     * 查询装置会议议程列表
     *
     * @param tMtAgenda 装置会议议程
     * @return 装置会议议程
     */
    @Override
    public List<TMtAgenda> selectTMtAgendaList(TMtAgenda tMtAgenda)
    {
        return tMtAgendaMapper.selectTMtAgendaList(tMtAgenda);
    }   @Override
    public List<TMtAgenda> selectAgendaList(TMtAgenda tMtAgenda)
    {
        return tMtAgendaMapper.selectAgendaList(tMtAgenda);
    }

    /**
     * 新增装置会议议程
     *
     * @param tMtAgenda 装置会议议程
     * @return 结果
     */
    @Override
    public int insertTMtAgenda(TMtAgenda tMtAgenda)
    {
        return tMtAgendaMapper.insertTMtAgenda(tMtAgenda);
    }

    /**
     * 修改装置会议议程
     *
     * @param tMtAgenda 装置会议议程
     * @return 结果
     */
    @Override
    public int updateTMtAgenda(TMtAgenda tMtAgenda)
    {
        return tMtAgendaMapper.updateTMtAgenda(tMtAgenda);
    }

    /**
     * 批量删除装置会议议程
     *
     * @param ids 需要删除的装置会议议程主键
     * @return 结果
     */
    @Override
    public int deleteTMtAgendaByIds(Long[] ids)
    {
        return tMtAgendaMapper.deleteTMtAgendaByIds(ids);
    }

    /**
     * 删除装置会议议程信息
     *
     * @param id 装置会议议程主键
     * @return 结果
     */
    @Override
    public int deleteTMtAgendaById(Long id)
    {
        return tMtAgendaMapper.deleteTMtAgendaById(id);
    }
}
